%define upstream_name    IO-Socket-Socks
%define upstream_version 0.68

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides a way to create socks client or server both 4 and 5 version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(Socket) >= 1.940.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant) >= 1.30.0
BuildArch:  noarch

%description
IO::Socket::Socks connects to a SOCKS proxy, tells it to open a connection
to a remote host/port when the object is created. The object you receive
can be used directly as a socket for sending and receiving data from the
remote host. In addition to create socks client this module could be used
to create socks server. See examples below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.680.0-2.mga6
+ Revision: 1028782
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 0.680.0-1.mga6
+ Revision: 978765
- update to 0.68

* Thu Feb 18 2016 umeabot <umeabot> 0.670.0-2.mga6
+ Revision: 966255
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.670.0-1.mga6
+ Revision: 843211
- update to 0.67

* Wed Oct 15 2014 umeabot <umeabot> 0.650.0-4.mga5
+ Revision: 743213
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.650.0-3.mga5
+ Revision: 732784
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.650.0-2.mga5
+ Revision: 685082
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 664467
- update to 0.65

* Fri Aug 01 2014 sander85 <sander85> 0.640.0-1.mga5
+ Revision: 659029
- update to 0.64

* Tue Feb 04 2014 shlomif <shlomif> 0.630.0-1.mga5
+ Revision: 581303
- New version 0.63

* Fri Oct 18 2013 umeabot <umeabot> 0.620.0-3.mga4
+ Revision: 512344
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 368556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.620.0-1.mga3
+ Revision: 255059
- update to 0.62

* Fri Dec 23 2011 shlomif <shlomif> 0.600.0-1.mga2
+ Revision: 186930
- imported package perl-IO-Socket-Socks


* Fri Dec 23 2011 cpan2dist 0.60-1mga
- initial mageia release, generated with cpan2dist
